Payments
Instant-Payments
>
Payments
openapi: 3.0.3
info:
title: Instant Payments API - Payments
version: v1
description: API to interact with Instant Payments
contact:
name: Instant Payments
url: https://www.jackhenry.com/
email: DC-Operations@jackhenry.com
servers:
- url: https://{API_ENDPOINT}
variables:
API_ENDPOINT:
default: digital.garden-fi.com
security:
- bearerAuth: []
tags:
- name: Payments
description: APIs for instant payment operations
paths:
/a/api/jh-rtp/v1/{InstitutionUniversalId}/users/{consumerUserId}/instant-payments:
post:
operationId: PaymentCreate
tags:
- Payments
summary: Create an instant payment
description: API to create an instant payment for a consumer user
parameters:
- name: InstitutionUniversalId
in: path
description: A unique identifier to establish the identity of an Institution/Environment/Brand combination
required: true
schema:
type: string
- name: consumerUserId
in: path
required: true
description: The unique identifier for the consumer user
schema:
type: string
requestBody:
description: The instant payment to be created
content:
application/json:
schema:
type: object
required:
- debtor
- creditTransferTransactionInformation
properties:
debtor:
type: object
required:
- account
- name
properties:
account:
type: object
required:
- accountId
properties:
accountId:
type: string
description: Account identifier for the debtor
example: '556677'
nullable: false
nullable: false
name:
type: string
description: Name of the debtor
example: John David
nullable: false
postalAddress:
type: object
description: Optional postal address for the debtor
properties:
department:
type: string
nullable: true
subDepartment:
type: string
nullable: true
streetName:
type: string
nullable: true
buildingNumber:
type: string
nullable: true
buildingName:
type: string
nullable: true
floor:
type: string
nullable: true
postBox:
type: string
nullable: true
room:
type: string
nullable: true
postCode:
type: string
nullable: true
townName:
type: string
nullable: true
townLocationName:
type: string
nullable: true
districtName:
type: string
nullable: true
countrySubDivision:
type: string
nullable: true
country:
type: string
nullable: true
nullable: true
nullable: false
creditTransferTransactionInformation:
type: array
items:
type: object
required:
- creditor
- creditorAgent
- amount
properties:
paymentIdentification:
type: object
description: Optional payment identification details
properties:
instructionIdentification:
type: string
nullable: true
endToEndIdentification:
type: string
nullable: true
uetr:
type: string
description: Unique End-to-end Transaction Reference
nullable: true
nullable: true
paymentTypeInformation:
type: object
description: Optional payment type information
properties:
localInstrumentProprietaryCode:
type: string
nullable: true
nullable: true
creditor:
type: object
required:
- account
- name
properties:
account:
type: object
required:
- accountId
properties:
accountId:
type: string
description: Account identifier for the creditor
example: '201990001'
nullable: false
nullable: false
name:
type: string
description: Name of the creditor
example: Rebecca
nullable: false
postalAddress:
type: object
description: Optional postal address for the creditor
properties:
department:
type: string
nullable: true
subDepartment:
type: string
nullable: true
streetName:
type: string
nullable: true
buildingNumber:
type: string
nullable: true
buildingName:
type: string
nullable: true
floor:
type: string
nullable: true
postBox:
type: string
nullable: true
room:
type: string
nullable: true
postCode:
type: string
nullable: true
townName:
type: string
nullable: true
townLocationName:
type: string
nullable: true
districtName:
type: string
nullable: true
countrySubDivision:
type: string
nullable: true
country:
type: string
nullable: true
nullable: true
nullable: false
creditorAgent:
type: object
required:
- financialInstitution
properties:
financialInstitution:
type: object
required:
- memberId
properties:
memberId:
type: string
description: Financial institution member identifier (routing number)
example: '021000021'
nullable: false
nullable: false
name:
type: string
description: Name of the creditor agent
nullable: true
postalAddress:
type: object
description: Optional postal address for the creditor agent
properties:
department:
type: string
nullable: true
subDepartment:
type: string
nullable: true
streetName:
type: string
nullable: true
buildingNumber:
type: string
nullable: true
buildingName:
type: string
nullable: true
floor:
type: string
nullable: true
postBox:
type: string
nullable: true
room:
type: string
nullable: true
postCode:
type: string
nullable: true
townName:
type: string
nullable: true
townLocationName:
type: string
nullable: true
districtName:
type: string
nullable: true
countrySubDivision:
type: string
nullable: true
country:
type: string
nullable: true
nullable: true
nullable: false
instructedAgent:
type: object
description: Optional instructed agent
properties:
financialInstitution:
type: object
properties:
memberId:
type: string
description: Financial institution member identifier (routing number)
nullable: false
nullable: true
nullable: true
intermediaryAgent1:
type: object
description: Optional first intermediary agent
properties:
financialInstitution:
type: object
properties:
memberId:
type: string
description: Financial institution member identifier (routing number)
nullable: false
nullable: true
name:
type: string
nullable: true
postalAddress:
type: object
description: Optional postal address
properties:
department:
type: string
nullable: true
subDepartment:
type: string
nullable: true
streetName:
type: string
nullable: true
buildingNumber:
type: string
nullable: true
buildingName:
type: string
nullable: true
floor:
type: string
nullable: true
postBox:
type: string
nullable: true
room:
type: string
nullable: true
postCode:
type: string
nullable: true
townName:
type: string
nullable: true
townLocationName:
type: string
nullable: true
districtName:
type: string
nullable: true
countrySubDivision:
type: string
nullable: true
country:
type: string
nullable: true
nullable: true
nullable: true
amount:
type: object
required:
- value
properties:
value:
type: string
description: Payment amount
example: '10.01'
nullable: false
nullable: false
remittanceInformation:
type: object
description: Optional remittance information
properties:
unstructured:
type: string
description: Unstructured remittance information
nullable: true
nullable: true
transactionDescription:
type: string
description: Optional transaction description
nullable: true
nullable: false
description: Array of credit transfer transaction information
nullable: false
nullable: false
responses:
'201':
description: Payment Created
content:
application/json:
schema:
type: object
properties:
institutionId:
type: string
description: Institution identifier
example: '123456'
nullable: true
transactionDetails:
type: object
properties:
transactionId:
type: string
description: Unique identifier for the transaction
example: TXN-550e8400-e29b-41d4-a716-446655440000
nullable: false
status:
type: string
description: Current status of the transaction
enum:
- pending
- completed
- failed
example: pending
nullable: false
createdAt:
type: string
format: date-time
description: Timestamp when the transaction was created
example: '2026-03-05T14:30:00Z'
nullable: false
updatedAt:
type: string
format: date-time
description: Timestamp when the transaction was last updated
example: '2026-03-05T14:30:00Z'
nullable: false
error:
type: object
description: Error information if the transaction failed
properties:
code:
type: string
description: Error code
example: INSUFFICIENT_FUNDS
nullable: false
message:
type: string
description: Error message
example: Insufficient funds in account
nullable: false
details:
type: string
description: Additional error details
nullable: true
nullable: true
nullable: false
paymentInformation:
type: object
properties:
debtor:
type: object
properties:
account:
type: object
properties:
accountId:
type: string
description: Account identifier for the debtor
example: '556677'
nullable: false
nullable: false
name:
type: string
description: Name of the debtor
example: John David
nullable: false
postalAddress:
type: object
description: Optional postal address for the debtor
properties:
department:
type: string
nullable: true
subDepartment:
type: string
nullable: true
streetName:
type: string
nullable: true
buildingNumber:
type: string
nullable: true
buildingName:
type: string
nullable: true
floor:
type: string
nullable: true
postBox:
type: string
nullable: true
room:
type: string
nullable: true
postCode:
type: string
nullable: true
townName:
type: string
nullable: true
townLocationName:
type: string
nullable: true
districtName:
type: string
nullable: true
countrySubDivision:
type: string
nullable: true
country:
type: string
nullable: true
nullable: true
nullable: false
payments:
type: array
description: Array of payment information
items:
type: object
properties:
paymentId:
type: string
description: Unique identifier for the payment
example: PAY-550e8400-e29b-41d4-a716-446655440000
nullable: false
transactionId:
type: string
description: Transaction identifier this payment belongs to
example: TXN-550e8400-e29b-41d4-a716-446655440000
nullable: false
paycenterId:
type: string
description: PayCenter identifier for the payment
example: PC-12345
nullable: false
userId:
type: string
description: User identifier who created the payment
example: user-123
nullable: false
processor:
type: string
description: Payment processor name
example: paycenter
nullable: false
paymentRail:
type: string
description: Payment rail used for the transaction
enum:
- fednow
- rtp
example: fednow
nullable: false
paymentStatus:
type: string
description: Current status of the payment
enum:
- pending
- failed
- accepted
- rejected
- completed
- expired
- duplicate
example: pending
nullable: false
paymentDate:
type: string
format: date-time
description: Date and time when the payment was processed
example: '2026-03-05T14:30:00Z'
nullable: false
createdBy:
type: string
description: User who created the payment
example: user-123
nullable: false
createdAt:
type: string
format: date-time
description: Timestamp when the payment was created
example: '2026-03-05T14:30:00Z'
nullable: false
xRequestId:
type: string
description: Original request ID
example: req-550e8400-e29b-41d4-a716-446655440000
nullable: true
xCorrelationId:
type: string
description: Correlation ID for tracking
example: corr-550e8400-e29b-41d4-a716-446655440000
nullable: true
xWorkflowCorrelationId:
type: string
description: Workflow correlation ID
example: wf-550e8400-e29b-41d4-a716-446655440000
nullable: true
creditTransferTransactionInformation:
type: object
properties:
paymentIdentification:
type: object
description: Optional payment identification details
properties:
instructionIdentification:
type: string
nullable: true
endToEndIdentification:
type: string
nullable: true
uetr:
type: string
description: Unique End-to-end Transaction Reference
nullable: true
nullable: true
paymentTypeInformation:
type: object
description: Optional payment type information
properties:
localInstrumentProprietaryCode:
type: string
nullable: true
nullable: true
creditor:
type: object
properties:
account:
type: object
properties:
accountId:
type: string
description: Account identifier for the creditor
example: '201990001'
nullable: false
nullable: false
name:
type: string
description: Name of the creditor
example: Rebecca
nullable: false
postalAddress:
type: object
description: Optional postal address for the creditor
properties:
department:
type: string
nullable: true
subDepartment:
type: string
nullable: true
streetName:
type: string
nullable: true
buildingNumber:
type: string
nullable: true
buildingName:
type: string
nullable: true
floor:
type: string
nullable: true
postBox:
type: string
nullable: true
room:
type: string
nullable: true
postCode:
type: string
nullable: true
townName:
type: string
nullable: true
townLocationName:
type: string
nullable: true
districtName:
type: string
nullable: true
countrySubDivision:
type: string
nullable: true
country:
type: string
nullable: true
nullable: true
nullable: false
creditorAgent:
type: object
properties:
financialInstitution:
type: object
properties:
memberId:
type: string
description: Financial institution member identifier (routing number)
example: '021000021'
nullable: false
nullable: false
name:
type: string
description: Name of the creditor agent
nullable: true
postalAddress:
type: object
description: Optional postal address for the creditor agent
properties:
department:
type: string
nullable: true
subDepartment:
type: string
nullable: true
streetName:
type: string
nullable: true
buildingNumber:
type: string
nullable: true
buildingName:
type: string
nullable: true
floor:
type: string
nullable: true
postBox:
type: string
nullable: true
room:
type: string
nullable: true
postCode:
type: string
nullable: true
townName:
type: string
nullable: true
townLocationName:
type: string
nullable: true
districtName:
type: string
nullable: true
countrySubDivision:
type: string
nullable: true
country:
type: string
nullable: true
nullable: true
nullable: false
instructedAgent:
type: object
description: Optional instructed agent
properties:
financialInstitution:
type: object
properties:
memberId:
type: string
description: Financial institution member identifier (routing number)
nullable: false
nullable: true
nullable: true
intermediaryAgent1:
type: object
description: Optional first intermediary agent
properties:
financialInstitution:
type: object
properties:
memberId:
type: string
description: Financial institution member identifier (routing number)
nullable: false
nullable: true
name:
type: string
nullable: true
postalAddress:
type: object
description: Optional postal address
properties:
department:
type: string
nullable: true
subDepartment:
type: string
nullable: true
streetName:
type: string
nullable: true
buildingNumber:
type: string
nullable: true
buildingName:
type: string
nullable: true
floor:
type: string
nullable: true
postBox:
type: string
nullable: true
room:
type: string
nullable: true
postCode:
type: string
nullable: true
townName:
type: string
nullable: true
townLocationName:
type: string
nullable: true
districtName:
type: string
nullable: true
countrySubDivision:
type: string
nullable: true
country:
type: string
nullable: true
nullable: true
nullable: true
amount:
type: object
properties:
value:
type: string
description: Payment amount
example: '10.01'
nullable: false
nullable: false
remittanceInformation:
type: object
description: Optional remittance information
properties:
unstructured:
type: string
description: Unstructured remittance information
nullable: true
nullable: true
transactionDescription:
type: string
description: Optional transaction description
nullable: true
nullable: false
nullable: false
nullable: false
nullable: false
'400':
description: The request body is invalid. See the response body for more information.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
'401':
description: Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.
'403':
description: The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.
'404':
description: The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.
'500':
description: An unexpected internal server error occurred while processing the request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
internalServerError:
summary: Internal server error
value:
type: general/internal-server-error
title: Internal server error
details:
- Unexpected internal server error
get:
operationId: PaymentsGet
tags:
- Payments
summary: Get instant payments for a consumer user
description: API to retrieve a list of instant payments for a consumer user
parameters:
- name: InstitutionUniversalId
in: path
description: A unique identifier to establish the identity of an Institution/Environment/Brand combination
required: true
schema:
type: string
- name: consumerUserId
in: path
required: true
description: The unique identifier for the consumer user
schema:
type: string
- name: count
in: query
required: false
description: The count of records requested. The server may limit the number of records returned in a single response. If the count is not provided, the server will return a default number of records.
example: ?count=100
schema:
type: string
default: '100'
- name: offset
in: query
required: false
description: When returning a list of results, the offset determines the number of records to skip before returning the result. If the offset is not provided, the server will return the first set of records.
example: ?offset=50
schema:
type: string
default: '0'
responses:
'200':
description: Success
content:
application/json:
schema:
type: object
properties:
payments:
type: array
items:
type: object
properties:
institutionId:
type: string
description: Institution identifier
example: '123456'
nullable: true
transactionDetails:
type: object
properties:
transactionId:
type: string
description: Unique identifier for the transaction
example: TXN-550e8400-e29b-41d4-a716-446655440000
nullable: false
status:
type: string
description: Current status of the transaction
enum:
- pending
- completed
- failed
example: pending
nullable: false
createdAt:
type: string
format: date-time
description: Timestamp when the transaction was created
example: '2026-03-05T14:30:00Z'
nullable: false
updatedAt:
type: string
format: date-time
description: Timestamp when the transaction was last updated
example: '2026-03-05T14:30:00Z'
nullable: false
error:
type: object
description: Error information if the transaction failed
properties:
code:
type: string
description: Error code
example: INSUFFICIENT_FUNDS
nullable: false
message:
type: string
description: Error message
example: Insufficient funds in account
nullable: false
details:
type: string
description: Additional error details
nullable: true
nullable: true
nullable: false
paymentInformation:
type: object
properties:
debtor:
type: object
properties:
account:
type: object
properties:
accountId:
type: string
description: Account identifier for the debtor
example: '556677'
nullable: false
nullable: false
name:
type: string
description: Name of the debtor
example: John David
nullable: false
postalAddress:
type: object
description: Optional postal address for the debtor
properties:
department:
type: string
nullable: true
subDepartment:
type: string
nullable: true
streetName:
type: string
nullable: true
buildingNumber:
type: string
nullable: true
buildingName:
type: string
nullable: true
floor:
type: string
nullable: true
postBox:
type: string
nullable: true
room:
type: string
nullable: true
postCode:
type: string
nullable: true
townName:
type: string
nullable: true
townLocationName:
type: string
nullable: true
districtName:
type: string
nullable: true
countrySubDivision:
type: string
nullable: true
country:
type: string
nullable: true
nullable: true
nullable: false
payments:
type: array
description: Array of payment information
items:
type: object
properties:
paymentId:
type: string
description: Unique identifier for the payment
example: PAY-550e8400-e29b-41d4-a716-446655440000
nullable: false
transactionId:
type: string
description: Transaction identifier this payment belongs to
example: TXN-550e8400-e29b-41d4-a716-446655440000
nullable: false
paycenterId:
type: string
description: PayCenter identifier for the payment
example: PC-12345
nullable: false
userId:
type: string
description: User identifier who created the payment
example: user-123
nullable: false
processor:
type: string
description: Payment processor name
example: paycenter
nullable: false
paymentRail:
type: string
description: Payment rail used for the transaction
enum:
- fednow
- rtp
example: fednow
nullable: false
paymentStatus:
type: string
description: Current status of the payment
enum:
- pending
- failed
- accepted
- rejected
- completed
- expired
- duplicate
example: pending
nullable: false
paymentDate:
type: string
format: date-time
description: Date and time when the payment was processed
example: '2026-03-05T14:30:00Z'
nullable: false
createdBy:
type: string
description: User who created the payment
example: user-123
nullable: false
createdAt:
type: string
format: date-time
description: Timestamp when the payment was created
example: '2026-03-05T14:30:00Z'
nullable: false
xRequestId:
type: string
description: Original request ID
example: req-550e8400-e29b-41d4-a716-446655440000
nullable: true
xCorrelationId:
type: string
description: Correlation ID for tracking
example: corr-550e8400-e29b-41d4-a716-446655440000
nullable: true
xWorkflowCorrelationId:
type: string
description: Workflow correlation ID
example: wf-550e8400-e29b-41d4-a716-446655440000
nullable: true
creditTransferTransactionInformation:
type: object
properties:
paymentIdentification:
type: object
description: Optional payment identification details
properties:
instructionIdentification:
type: string
nullable: true
endToEndIdentification:
type: string
nullable: true
uetr:
type: string
description: Unique End-to-end Transaction Reference
nullable: true
nullable: true
paymentTypeInformation:
type: object
description: Optional payment type information
properties:
localInstrumentProprietaryCode:
type: string
nullable: true
nullable: true
creditor:
type: object
properties:
account:
type: object
properties:
accountId:
type: string
description: Account identifier for the creditor
example: '201990001'
nullable: false
nullable: false
name:
type: string
description: Name of the creditor
example: Rebecca
nullable: false
postalAddress:
type: object
description: Optional postal address for the creditor
properties:
department:
type: string
nullable: true
subDepartment:
type: string
nullable: true
streetName:
type: string
nullable: true
buildingNumber:
type: string
nullable: true
buildingName:
type: string
nullable: true
floor:
type: string
nullable: true
postBox:
type: string
nullable: true
room:
type: string
nullable: true
postCode:
type: string
nullable: true
townName:
type: string
nullable: true
townLocationName:
type: string
nullable: true
districtName:
type: string
nullable: true
countrySubDivision:
type: string
nullable: true
country:
type: string
nullable: true
nullable: true
nullable: false
creditorAgent:
type: object
properties:
financialInstitution:
type: object
properties:
memberId:
type: string
description: Financial institution member identifier (routing number)
example: '021000021'
nullable: false
nullable: false
name:
type: string
description: Name of the creditor agent
nullable: true
postalAddress:
type: object
description: Optional postal address for the creditor agent
properties:
department:
type: string
nullable: true
subDepartment:
type: string
nullable: true
streetName:
type: string
nullable: true
buildingNumber:
type: string
nullable: true
buildingName:
type: string
nullable: true
floor:
type: string
nullable: true
postBox:
type: string
nullable: true
room:
type: string
nullable: true
postCode:
type: string
nullable: true
townName:
type: string
nullable: true
townLocationName:
type: string
nullable: true
districtName:
type: string
nullable: true
countrySubDivision:
type: string
nullable: true
country:
type: string
nullable: true
nullable: true
nullable: false
instructedAgent:
type: object
description: Optional instructed agent
properties:
financialInstitution:
type: object
properties:
memberId:
type: string
description: Financial institution member identifier (routing number)
nullable: false
nullable: true
nullable: true
intermediaryAgent1:
type: object
description: Optional first intermediary agent
properties:
financialInstitution:
type: object
properties:
memberId:
type: string
description: Financial institution member identifier (routing number)
nullable: false
nullable: true
name:
type: string
nullable: true
postalAddress:
type: object
description: Optional postal address
properties:
department:
type: string
nullable: true
subDepartment:
type: string
nullable: true
streetName:
type: string
nullable: true
buildingNumber:
type: string
nullable: true
buildingName:
type: string
nullable: true
floor:
type: string
nullable: true
postBox:
type: string
nullable: true
room:
type: string
nullable: true
postCode:
type: string
nullable: true
townName:
type: string
nullable: true
townLocationName:
type: string
nullable: true
districtName:
type: string
nullable: true
countrySubDivision:
type: string
nullable: true
country:
type: string
nullable: true
nullable: true
nullable: true
amount:
type: object
properties:
value:
type: string
description: Payment amount
example: '10.01'
nullable: false
nullable: false
remittanceInformation:
type: object
description: Optional remittance information
properties:
unstructured:
type: string
description: Unstructured remittance information
nullable: true
nullable: true
transactionDescription:
type: string
description: Optional transaction description
nullable: true
nullable: false
nullable: false
nullable: false
nullable: false
description: Array of payment objects
nullable: false
pagination:
type: object
properties:
totalCount:
type: integer
description: Total number of payments available
example: 100
nullable: false
limit:
type: integer
description: Maximum number of payments returned in this response
example: 25
nullable: false
offset:
type: integer
description: Number of payments skipped
example: 0
nullable: false
hasMore:
type: boolean
description: Whether there are more payments available beyond this page
example: true
nullable: false
nullable: false
nullable: false
'400':
description: The server could not understand the request due to an invalid request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
'401':
description: Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.
'403':
description: The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.
'404':
description: The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.
'500':
description: An unexpected internal server error occurred while processing the request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
internalServerError:
summary: Internal server error
value:
type: general/internal-server-error
title: Internal server error
details:
- Unexpected internal server error
/a/api/jh-rtp/v1/{InstitutionUniversalId}/users/{consumerUserId}/instant-payments/{paymentId}:
get:
operationId: PaymentGet
tags:
- Payments
summary: Get a specific instant payment
description: API to retrieve a specific instant payment by ID
parameters:
- name: InstitutionUniversalId
in: path
description: A unique identifier to establish the identity of an Institution/Environment/Brand combination
required: true
schema:
type: string
- name: consumerUserId
in: path
required: true
description: The unique identifier for the consumer user
schema:
type: string
- name: paymentId
in: path
required: true
description: The unique identifier for the payment
schema:
type: string
responses:
'200':
description: Success
content:
application/json:
schema:
type: object
properties:
institutionId:
type: string
description: Institution identifier
example: '123456'
nullable: true
transactionDetails:
type: object
properties:
transactionId:
type: string
description: Unique identifier for the transaction
example: TXN-550e8400-e29b-41d4-a716-446655440000
nullable: false
status:
type: string
description: Current status of the transaction
enum:
- pending
- completed
- failed
example: pending
nullable: false
createdAt:
type: string
format: date-time
description: Timestamp when the transaction was created
example: '2026-03-05T14:30:00Z'
nullable: false
updatedAt:
type: string
format: date-time
description: Timestamp when the transaction was last updated
example: '2026-03-05T14:30:00Z'
nullable: false
error:
type: object
description: Error information if the transaction failed
properties:
code:
type: string
description: Error code
example: INSUFFICIENT_FUNDS
nullable: false
message:
type: string
description: Error message
example: Insufficient funds in account
nullable: false
details:
type: string
description: Additional error details
nullable: true
nullable: true
nullable: false
paymentInformation:
type: object
properties:
debtor:
type: object
properties:
account:
type: object
properties:
accountId:
type: string
description: Account identifier for the debtor
example: '556677'
nullable: false
nullable: false
name:
type: string
description: Name of the debtor
example: John David
nullable: false
postalAddress:
type: object
description: Optional postal address for the debtor
properties:
department:
type: string
nullable: true
subDepartment:
type: string
nullable: true
streetName:
type: string
nullable: true
buildingNumber:
type: string
nullable: true
buildingName:
type: string
nullable: true
floor:
type: string
nullable: true
postBox:
type: string
nullable: true
room:
type: string
nullable: true
postCode:
type: string
nullable: true
townName:
type: string
nullable: true
townLocationName:
type: string
nullable: true
districtName:
type: string
nullable: true
countrySubDivision:
type: string
nullable: true
country:
type: string
nullable: true
nullable: true
nullable: false
payments:
type: array
description: Array of payment information
items:
type: object
properties:
paymentId:
type: string
description: Unique identifier for the payment
example: PAY-550e8400-e29b-41d4-a716-446655440000
nullable: false
transactionId:
type: string
description: Transaction identifier this payment belongs to
example: TXN-550e8400-e29b-41d4-a716-446655440000
nullable: false
paycenterId:
type: string
description: PayCenter identifier for the payment
example: PC-12345
nullable: false
userId:
type: string
description: User identifier who created the payment
example: user-123
nullable: false
processor:
type: string
description: Payment processor name
example: paycenter
nullable: false
paymentRail:
type: string
description: Payment rail used for the transaction
enum:
- fednow
- rtp
example: fednow
nullable: false
paymentStatus:
type: string
description: Current status of the payment
enum:
- pending
- failed
- accepted
- rejected
- completed
- expired
- duplicate
example: pending
nullable: false
paymentDate:
type: string
format: date-time
description: Date and time when the payment was processed
example: '2026-03-05T14:30:00Z'
nullable: false
createdBy:
type: string
description: User who created the payment
example: user-123
nullable: false
createdAt:
type: string
format: date-time
description: Timestamp when the payment was created
example: '2026-03-05T14:30:00Z'
nullable: false
xRequestId:
type: string
description: Original request ID
example: req-550e8400-e29b-41d4-a716-446655440000
nullable: true
xCorrelationId:
type: string
description: Correlation ID for tracking
example: corr-550e8400-e29b-41d4-a716-446655440000
nullable: true
xWorkflowCorrelationId:
type: string
description: Workflow correlation ID
example: wf-550e8400-e29b-41d4-a716-446655440000
nullable: true
creditTransferTransactionInformation:
type: object
properties:
paymentIdentification:
type: object
description: Optional payment identification details
properties:
instructionIdentification:
type: string
nullable: true
endToEndIdentification:
type: string
nullable: true
uetr:
type: string
description: Unique End-to-end Transaction Reference
nullable: true
nullable: true
paymentTypeInformation:
type: object
description: Optional payment type information
properties:
localInstrumentProprietaryCode:
type: string
nullable: true
nullable: true
creditor:
type: object
properties:
account:
type: object
properties:
accountId:
type: string
description: Account identifier for the creditor
example: '201990001'
nullable: false
nullable: false
name:
type: string
description: Name of the creditor
example: Rebecca
nullable: false
postalAddress:
type: object
description: Optional postal address for the creditor
properties:
department:
type: string
nullable: true
subDepartment:
type: string
nullable: true
streetName:
type: string
nullable: true
buildingNumber:
type: string
nullable: true
buildingName:
type: string
nullable: true
floor:
type: string
nullable: true
postBox:
type: string
nullable: true
room:
type: string
nullable: true
postCode:
type: string
nullable: true
townName:
type: string
nullable: true
townLocationName:
type: string
nullable: true
districtName:
type: string
nullable: true
countrySubDivision:
type: string
nullable: true
country:
type: string
nullable: true
nullable: true
nullable: false
creditorAgent:
type: object
properties:
financialInstitution:
type: object
properties:
memberId:
type: string
description: Financial institution member identifier (routing number)
example: '021000021'
nullable: false
nullable: false
name:
type: string
description: Name of the creditor agent
nullable: true
postalAddress:
type: object
description: Optional postal address for the creditor agent
properties:
department:
type: string
nullable: true
subDepartment:
type: string
nullable: true
streetName:
type: string
nullable: true
buildingNumber:
type: string
nullable: true
buildingName:
type: string
nullable: true
floor:
type: string
nullable: true
postBox:
type: string
nullable: true
room:
type: string
nullable: true
postCode:
type: string
nullable: true
townName:
type: string
nullable: true
townLocationName:
type: string
nullable: true
districtName:
type: string
nullable: true
countrySubDivision:
type: string
nullable: true
country:
type: string
nullable: true
nullable: true
nullable: false
instructedAgent:
type: object
description: Optional instructed agent
properties:
financialInstitution:
type: object
properties:
memberId:
type: string
description: Financial institution member identifier (routing number)
nullable: false
nullable: true
nullable: true
intermediaryAgent1:
type: object
description: Optional first intermediary agent
properties:
financialInstitution:
type: object
properties:
memberId:
type: string
description: Financial institution member identifier (routing number)
nullable: false
nullable: true
name:
type: string
nullable: true
postalAddress:
type: object
description: Optional postal address
properties:
department:
type: string
nullable: true
subDepartment:
type: string
nullable: true
streetName:
type: string
nullable: true
buildingNumber:
type: string
nullable: true
buildingName:
type: string
nullable: true
floor:
type: string
nullable: true
postBox:
type: string
nullable: true
room:
type: string
nullable: true
postCode:
type: string
nullable: true
townName:
type: string
nullable: true
townLocationName:
type: string
nullable: true
districtName:
type: string
nullable: true
countrySubDivision:
type: string
nullable: true
country:
type: string
nullable: true
nullable: true
nullable: true
amount:
type: object
properties:
value:
type: string
description: Payment amount
example: '10.01'
nullable: false
nullable: false
remittanceInformation:
type: object
description: Optional remittance information
properties:
unstructured:
type: string
description: Unstructured remittance information
nullable: true
nullable: true
transactionDescription:
type: string
description: Optional transaction description
nullable: true
nullable: false
nullable: false
nullable: false
nullable: false
'400':
description: The server could not understand the request due to an invalid request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
'401':
description: Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.
'403':
description: The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.
'404':
description: The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.
'500':
description: An unexpected internal server error occurred while processing the request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
internalServerError:
summary: Internal server error
value:
type: general/internal-server-error
title: Internal server error
details:
- Unexpected internal server error
Did this page help you?
Why was this page helpful?
Why wasn't this page helpful?
Thank you for your feedback!
Last updated Tue Jun 2 2026